SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
- role: spec-refinement
  spec-key: build-type
  spec-value: config-header
  uid: build
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      guard:
        description: |
          It shall be the header guard define.
        spec-type: str
      include-headers:
        description: |
          It shall be a list of header files to include via ``#include <...>``.
        spec-type: list-str
      install-path:
        description: null
        spec-type: build-install-path
      target:
        description: null
        spec-type: build-target
    description: |
      This set of attributes specifies configuration header file.  The
      configuration header file is generated during configure command execution
      and is placed in the build tree.  All collected configuration defines are
      written to the configuration header file during the configure command
      execution.  To have all configuration defines from sibling items
      available it is recommended to link them in the proper order.
    mandatory-attributes: all
spec-name: Build Configuration Header Item Type
spec-type: build-config-header
type: spec
